Bug 1292475 - RFE: dnf repoquery options "--queryformat" and "--latest-limit" should be usable together
RFE: dnf repoquery options "--queryformat" and "--latest-limit" should be usa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 09:38 EST by Stephen Tweedie
Modified: 2016-02-16 23:22 EST (History)
6 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.16-1.fc23 dnf-plugins-core-0.1.16-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 23:22:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2015-12-17 09:38:31 EST
Description of problem:
The "--queryformat" and "--latest-limit" options in dnf cannot be used together.  This makes it impossible to use repoquery to identify the latest available version of a given package, and to output that information in a specific format.


Version-Release number of selected component (if applicable):
dnf-plugins-core-0.1.14-1.fc23.noarch

How reproducible:
100%

Steps to Reproduce:
1. $ dnf repoquery --latest-limit 1 \
   --queryformat '%{name}-%{version}.%{release} : %{reponame}' dnf


Actual results:
Error: argument --qf/--queryformat: not allowed with argument --latest-limit


Expected results:
dnf-1.1.4.2.fc23 : updates


Additional info:
Comment 1 Fedora Update System 2016-01-26 05:33:54 EST
dnf-plugins-core-0.1.16-1.fc23 dnf-1.1.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-80cbf309b4
Comment 2 Fedora Update System 2016-01-26 05:35:21 EST
dnf-plugins-core-0.1.16-1.fc22 dnf-1.1.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 3 Fedora Update System 2016-01-26 14:52:26 EST
dnf-1.1.6-1.fc23, dnf-plugins-core-0.1.16-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-80cbf309b4
Comment 4 Fedora Update System 2016-01-28 13:19:43 EST
dnf-1.1.6-1.fc23, dnf-plugins-core-0.1.16-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-01-28 18:19:04 EST
dnf-1.1.6-1.fc22, dnf-plugins-core-0.1.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 6 Fedora Update System 2016-02-03 08:05:54 EST
dnf-1.1.6-2.fc22 dnf-plugins-core-0.1.16-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 7 Fedora Update System 2016-02-03 18:26:35 EST
dnf-1.1.6-2.fc22, dnf-plugins-core-0.1.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 8 Fedora Update System 2016-02-16 23:21:53 EST
dnf-1.1.6-2.fc22, dnf-plugins-core-0.1.16-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.